/**
 * 判断是否为JSON文本
 * @param {string} str 是否为json文本
 */
export function isJSON(str) {
  if (typeof str == 'string') {
    try {
      JSON.parse(str);
      if (typeof JSON.parse(str) === 'number') {
        return false;
      }
      return true;
    } catch (e) {
      return false;
    }
  }
}
